Summary:	X font encodings database
Summary(pl.UTF-8):	Baza kodowań fontów X
Name:		xorg-font-encodings
Version:	1.1.0
Release:	1%{?tld}
License:	Public Domain
Group:		X11
Source0:	https://xorg.freedesktop.org/releases/individual/font/encodings-%{version}.tar.xz
# Source0-md5:	a56b1a7f2c14173f71f010225fa131f1
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.2
BuildRequires:	xorg-util-util-macros >= 1.20
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X font encodings database.

%description -l pl.UTF-8
Baza kodowań fontów X.

%prep
%setup -q -n encodings-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%if "%{_gnu}" != "-gnux32"
	--build=%{_host} \
	--host=%{_host} \
%endif
	--with-encodingsdir=%{_fontsdir}/encodings

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%{_fontsdir}/encodings
%changelog
* Wed Apr 24 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-font-encodings.git;a=log;h=master

* Sun Mar 03 2024 Jakub Bogusz <qboosh@pld-linux.org> 9ac6dae
- updated to 1.1.0

* Wed Mar 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 223fecb
- updated to 1.0.7

* Wed Jul 13 2022 Jakub Bogusz <qboosh@pld-linux.org> 98d611a
- updated to 1.0.6

* Tue Jun 25 2019 Jakub Bogusz <qboosh@pld-linux.org> 57b3fd6
- x32 configure fix; release 2

* Wed Jun 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 9539c4f
- updated to 1.0.5

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 9380eed
- dropped pre-cvs changelog

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 415cd34
- updated to 1.0.4

* Thu Oct 15 2009 Jakub Bogusz <qboosh@pld-linux.org> 6e5e04b
- --build/--host compatible with rpm both 4.4/4.5
- BR proper util-macros and font-util
- added README to doc

* Mon Oct 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a14a6c6
- up to 1.0.3

* Sun Oct 21 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 69e63b6
- BA: noarch
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a673cab
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ff6190b
- converted to UTF-8

* Wed Nov 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> aedca34
- up to 1.0.2

* Mon Oct 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 968dbf5
- updated to 1.0.1, release 1

* Tue Jan 03 2006 Jakub Bogusz <qboosh@pld-linux.org> aec9ccb
- added ChangeLog to doc

* Tue Jan 03 2006 Jakub Bogusz <qboosh@pld-linux.org> 775ef0e
- 1.0.0 (X11R7.0 release)
- removed obsolete encodings-fontpath patch, use --with-encodingsdir

* Tue Jan 03 2006 Jakub Bogusz <qboosh@pld-linux.org> 7aaa146
- obsolete

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> bdc0c1d
- 0.99.1 (X11R7.0-RC1)
- fixed patch filename
- pkgconfig is not needed here (gzip is, but already required by rpm-build)

* Thu Oct 20 2005 jpc <jpc@pld-linux.org> 6a5ff63
- missing patch in SOURCES!

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 7fc5405
- cleanups, better Group; TODO: use PLD fonts infrastructure

